Summary:	Networking support for GLib
Summary(pl.UTF-8):	Obsługa sieci dla GLiba
Name:		glib-networking
Version:	2.62.1
Release:	1
License:	LGPL v2.1+ with OpenSSL exception
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/glib-networking/2.62/%{name}-%{version}.tar.xz
# Source0-md5:	64ca1e1e43e623b916059585bf7e4758
URL:		http://www.gnome.org/
BuildRequires:	gcc >= 6:4.7
BuildRequires:	gettext-tools >= 0.19.4
BuildRequires:	glib2-devel >= 1:2.60.0
BuildRequires:	gnutls-devel >= 3.4.6
BuildRequires:	gsettings-desktop-schemas-devel
BuildRequires:	libproxy-devel >= 0.3.1
BuildRequires:	meson >= 0.50.0
BuildRequires:	ninja
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.727
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires(post,postun):	glib2 >= 1:2.60.0
Requires:	ca-certificates
Requires:	glib2 >= 1:2.60.0
Requires:	gnutls-libs >= 3.4.6
Requires:	libproxy >= 0.3.1
Suggests:	gsettings-desktop-schemas
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package contains modules that extend the networking support in
GIO. In particular, it contains a libproxy-based GProxyResolver
implementation and a gnutls-based GTlsConnection implementation.

%description -l pl.UTF-8
Ten pakiet zawiera moduły rozszerzające obsługę sieci w GIO, w
szczególności: implementację GProxyResolver opartą na libproxy oraz
implementację GTlsConnection opartą na gnutls.

%prep
%setup -q

%build
%meson build \
	-Dca_certificates_path=/etc/certs/ca-certificates.crt \
	-Dinstalled_tests=false

%meson_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%meson_install -C build

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
umask 022
%{_bindir}/gio-querymodules %{_libdir}/gio/modules || :

%postun
umask 022
%{_bindir}/gio-querymodules %{_libdir}/gio/modules || :

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc LICENSE_EXCEPTION NEWS README
%attr(755,root,root) %{_libexecdir}/glib-pacrunner
%attr(755,root,root) %{_libdir}/gio/modules/libgiognutls.so
%attr(755,root,root) %{_libdir}/gio/modules/libgiolibproxy.so
%attr(755,root,root) %{_libdir}/gio/modules/libgiognomeproxy.so
%{_datadir}/dbus-1/services/org.gtk.GLib.PACRunner.service
%{systemduserunitdir}/glib-pacrunner.service
%changelog
* Sun Oct 06 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/glib-networking.git;a=log;h=master

* Sat Oct 05 2019 Jan Palus <atler@pld-linux.org> 9eb6f2d
- up to 2.62.1

* Wed Sep 11 2019 Jakub Bogusz <qboosh@pld-linux.org> b8d4c17
- pkcs11 support is gone (in 2.60); C++11 now required

* Mon Sep 09 2019 Jan Palus <atler@pld-linux.org> b95d91d
- up to 2.62.0

* Mon Jun 10 2019 Jan Palus <atler@pld-linux.org> 5c28662
- up to 2.60.3

* Sat May 04 2019 Jan Palus <atler@pld-linux.org> 4edffc9
- up to 2.60.2

* Wed Apr 10 2019 Jakub Bogusz <qboosh@pld-linux.org> ae512f1
- more specific license information

* Mon Apr 08 2019 Jan Palus <atler@pld-linux.org> caa32b2
- up to 2.60.1

* Wed Apr 03 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 41a7cba
- rel 2; gsettings-desktop-schema seems to be optional (for proxy information) and it drags in GConf2, dbus and all other crap on the server. Make it to be Suggests

* Thu Mar 14 2019 Jan Palus <atler@pld-linux.org> 9a29991
- up to 2.60.0.1

* Mon Oct 08 2018 Jakub Bogusz <qboosh@pld-linux.org> 6147c8f
- updated dependencies
- added pkcs11 bcond to allow restore of gnutls-pkcs11 backend (disabled by default in 2.57.2)

* Sun Sep 23 2018 Jan Palus <atler@pld-linux.org> 8958b35
- up to 2.58.0

* Fri May 25 2018 Marcin Banasiak <marcin.banasiak@gmail.com> 4cc3e57
- Update to 2.56.1

* Wed Apr 18 2018 Jan Palus <atler@pld-linux.org> 8895c4f
- up to 2.56.0

* Wed Sep 13 2017 Marcin Banasiak <marcin.banasiak@gmail.com> ffab356
- Update to 2.54.0

* Sat Apr 08 2017 Jan Rękorajski <baggins@pld-linux.org> cdf910a
- rebuild with gnutls 3.5
- release 2 (by relup.sh)

* Thu Sep 22 2016 Jakub Bogusz <qboosh@pld-linux.org> bbfaa01
- updated i18n related BRs

* Mon Sep 19 2016 Marcin Banasiak <marcin.banasiak@gmail.com> cedcbcb
- Update to 2.50.0

* Wed May 11 2016 Jakub Bogusz <qboosh@pld-linux.org> a63753d
- updated to 2.48.2

* Tue Apr 05 2016 Marcin Banasiak <marcin.banasiak@gmail.com> a2206ec
- Update to 2.48.0

* Wed Oct 14 2015 Jakub Bogusz <qboosh@pld-linux.org> 62cf4db
- updated to 2.46.1

